Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rendsite.renderer
Class Renderer_Templatev1

    java.lang.Object
      rendsite.renderer.Renderer
          rendsite.renderer.Renderer_Templatev1

Direct Known Subclasses:
  Renderer_Templatev1_MAIN, Renderer_Templatev1_SOURCE

    public abstract class Renderer_Templatev1

extends Renderer

The base for template version 1 renderers.

How to make rows:

            item.1
            type.1
            desc.1

            item.2
            type.2
            desc.2

Author:
  erich Version History

       10NOV09 - EPG - First package release.

Nested Class Summary
`protected class` | `Renderer_Templatev1.RowMaker` The subclasses should use these to make rows.

Field Summary
`static java.lang.String` | `TEMPLATE_FIELD__COPYRIGHT`
`static java.lang.String` | `TEMPLATE_FIELD__DIRECTORY`
`static java.lang.String` | `TEMPLATE_FIELD__FILE`
`static java.lang.String` | `TEMPLATE_FIELD__FILE_ORIGINAL`
`static java.lang.String` | `TEMPLATE_FIELD__INFO`
`static java.lang.String` | `TEMPLATE_FIELD__PROJECT`
`static java.lang.String` | `TEMPLATE_FIELD__RENDSITE_NOTICE`
`static java.lang.String` | `TEMPLATE_FIELD__ROOT`

Fields inherited from class rendsite.renderer.Renderer
`logger, pcontext, rcontext`

Constructor Summary
`Renderer_Templatev1(RenderingContext rcontext, PropertiesGeneralContext pcontext)` Construct a renderer.

Method Summary
`void` | `check(Node_File source)` Check a file.
`void` | `render(Node_Directory source)` Render a directory context.
`void` | `render(Node_File source)` Render a file.
`void` | `renderFrame(Node_Directory source)` Render the frame itself.
`abstract java.lang.String` | `setRows(Node_Directory source, things.data.ThingsPropertyView propertyView)` Set the row properties for replacement.

Methods inherited from class rendsite.renderer.Renderer
`blankIfNull`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TEMPLATE_FIELD__PROJECT

    public static final java.lang.String TEMPLATE_FIELD__PROJECT

See Also:
  Constant Field Values

### TEMPLATE_FIELD__INFO

    public static final java.lang.String TEMPLATE_FIELD__INFO

See Also:
  Constant Field Values

### TEMPLATE_FIELD__DIRECTORY

    public static final java.lang.String TEMPLATE_FIELD__DIRECTORY

See Also:
  Constant Field Values

### TEMPLATE_FIELD__FILE

    public static final java.lang.String TEMPLATE_FIELD__FILE

See Also:
  Constant Field Values

### TEMPLATE_FIELD__FILE_ORIGINAL

    public static final java.lang.String TEMPLATE_FIELD__FILE_ORIGINAL

See Also:
  Constant Field Values

### TEMPLATE_FIELD__ROOT

    public static final java.lang.String TEMPLATE_FIELD__ROOT

See Also:
  Constant Field Values

### TEMPLATE_FIELD__COPYRIGHT

    public static final java.lang.String TEMPLATE_FIELD__COPYRIGHT

See Also:
  Constant Field Values

### TEMPLATE_FIELD__RENDSITE_NOTICE

    public static final java.lang.String TEMPLATE_FIELD__RENDSITE_NOTICE

See Also:
  Constant Field Values

Constructor Detail

### Renderer_Templatev1

    public Renderer_Templatev1(RenderingContext rcontext,
                               PropertiesGeneralContext pcontext)
                        throws things.common.ThingsException

  Construct a renderer. Let the system do this for you.

  Parameters:
    `rcontext` - The rendering context. A renderer cannot change context.
    `pcontext` - general properties context.
  Throws:
    `ThingsException.` - This will usually happen only if you give it a bad context.
    `things.common.ThingsException`

Method Detail

### setRows

    public abstract java.lang.String setRows(Node_Directory source,
                                             things.data.ThingsPropertyView propertyView)
                                      throws java.lang.Throwable

  Set the row properties for replacement.

  Parameters:
    `source` - the source directory
    `propertyView` - the replacement properties
  Returns:
    optional default info about the directory. It could be null.
  Throws:
    `java.lang.Throwable`

### render

    public void render(Node_File source)
                throws things.common.ThingsException

  Render a file.

  Specified by:
    `render` in class `Renderer`
  Parameters:
    `source` - The file to render.
  Throws:
    `things.common.ThingsException`

### check

    public void check(Node_File source)
               throws things.common.ThingsException

  Check a file. The file exists and the configuration has not changed, so you don't need to render it. However, you may choose to render it anyway.

  IMPORTANT! IMPORTANT! Neighbors are determined during rendering, not spidering. If the neighbor is not opened for write, but an old version exists, it will be treated as a dead file and removed during cleanup. You can make

  Specified by:
    `check` in class `Renderer`
  Parameters:
    `source` - The file to render.
  Throws:
    `things.common.ThingsException`

### render

    public void render(Node_Directory source)
                throws things.common.ThingsException

  Render a directory context. There may not be much to do here. Any catalog page should be rendered by renderFrame() so that it is done after all other processing is complete.

  Specified by:
    `render` in class `Renderer`
  Parameters:
    `source` - the source directory
  Throws:
    `things.common.ThingsException`

### renderFrame

    public void renderFrame(Node_Directory source)
                     throws things.common.ThingsException

  Render the frame itself. If you make a catalog, it is important you set the catalogFileName in the source directory if you want the parent catalog to point at it.

  Specified by:
    `renderFrame` in class `Renderer`
  Parameters:
    `source` - the source directory
  Throws:
    `things.common.ThingsException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

rendsite.